StarGraphicAttribute::StarGAttributeNamedHatch Class Reference documentation

StarGraphicAttribute::StarGAttributeNamedHatch Class Referencefinal

a hatch's named attribute More...

Inheritance diagram for StarGraphicAttribute::StarGAttributeNamedHatch:

## Public Member Functions
| StarGAttributeNamedHatch (Type type, std::string const &debugName)
| constructor
std::shared_ptr< StarAttribute > | create () const final
| create a new attribute
bool | read (StarZone &zone, int vers, long endPos, StarObject &object) final
| read a zone
void | addTo (StarState &state, std::set< StarAttribute const * > &) const final
| add to a graphic style
void | printData (libstoff::DebugStream &o) const final
| debug function to print the data
Public Member Functions inherited from StarGraphicAttribute::StarGAttributeNamed
| StarGAttributeNamed (Type type, std::string const &debugName)
| constructor
Public Member Functions inherited from StarAttribute
virtual | ~StarAttribute ()
| destructor
Type | getType () const
| returns the attribute type
void | addTo (StarState &state) const
| add to a state
bool | send (STOFFListenerPtr &listener, StarState &state) const
| add to send the zone data
virtual bool | send (STOFFListenerPtr &, StarState &, std::set< StarAttribute const * > &) const
| try to send the child zone(internal)
std::string const & | getDebugName () const
| returns the debug name
virtual void | print (libstoff::DebugStream &o, std::set< StarAttribute const * > &done) const
| debug function to print the data

## Protected Member Functions
| StarGAttributeNamedHatch (StarGAttributeNamedHatch const &)=default
| copy constructor
Protected Member Functions inherited from StarGraphicAttribute::StarGAttributeNamed
| StarGAttributeNamed (StarGAttributeNamed const &)=default
| copy constructor
Protected Member Functions inherited from StarAttribute
| StarAttribute (Type type, std::string const &debugName)
| constructor
| StarAttribute (StarAttribute const &orig)
| copy constructor

## Protected Attributes
int | m_hatchType
| the type
STOFFColor | m_color
| the color
int | m_distance
| the distance
int | m_angle
| the angle
Protected Attributes inherited from StarGraphicAttribute::StarGAttributeNamed
librevenge::RVNGString | m_named
| the named
int | m_namedId
| the name id
Protected Attributes inherited from StarAttribute
Type | m_type
| the type
std::string | m_debugName
| the debug name

## Additional Inherited Members
Public Types inherited from StarAttribute
enum | Type { ATTR_SPECIAL =-1 , ATTR_CHR_CASEMAP = 1 , ATTR_CHR_CHARSETCOLOR , ATTR_CHR_COLOR , ATTR_CHR_CONTOUR , ATTR_CHR_CROSSEDOUT , ATTR_CHR_ESCAPEMENT , ATTR_CHR_FONT , ATTR_CHR_FONTSIZE , ATTR_CHR_KERNING , ATTR_CHR_LANGUAGE , ATTR_CHR_POSTURE , ATTR_CHR_PROPORTIONALFONTSIZE , ATTR_CHR_SHADOWED , ATTR_CHR_UNDERLINE , ATTR_CHR_WEIGHT , ATTR_CHR_WORDLINEMODE , ATTR_CHR_AUTOKERN , ATTR_CHR_BLINK , ATTR_CHR_NOHYPHEN , ATTR_CHR_NOLINEBREAK , ATTR_CHR_BACKGROUND , ATTR_CHR_CJK_FONT , ATTR_CHR_CJK_FONTSIZE , ATTR_CHR_CJK_LANGUAGE , ATTR_CHR_CJK_POSTURE , ATTR_CHR_CJK_WEIGHT , ATTR_CHR_CTL_FONT , ATTR_CHR_CTL_FONTSIZE , ATTR_CHR_CTL_LANGUAGE , ATTR_CHR_CTL_POSTURE , ATTR_CHR_CTL_WEIGHT , ATTR_CHR_ROTATE , ATTR_CHR_EMPHASIS_MARK , ATTR_CHR_TWO_LINES , ATTR_CHR_SCALEW , ATTR_CHR_RELIEF , ATTR_CHR_DUMMY1 , ATTR_TXT_INETFMT , ATTR_TXT_DUMMY4 , ATTR_TXT_REFMARK , ATTR_TXT_TOXMARK , ATTR_TXT_CHARFMT , ATTR_TXT_DUMMY5 , ATTR_TXT_CJK_RUBY , ATTR_TXT_UNKNOWN_CONTAINER , ATTR_TXT_DUMMY6 , ATTR_TXT_DUMMY7 , ATTR_TXT_FIELD , ATTR_TXT_FLYCNT , ATTR_TXT_FTN , ATTR_TXT_SOFTHYPH , ATTR_TXT_HARDBLANK , ATTR_TXT_DUMMY1 , ATTR_TXT_DUMMY2 , ATTR_PARA_LINESPACING , ATTR_PARA_ADJUST , ATTR_PARA_SPLIT , ATTR_PARA_ORPHANS , ATTR_PARA_WIDOWS , ATTR_PARA_TABSTOP , ATTR_PARA_HYPHENZONE , ATTR_PARA_DROP , ATTR_PARA_REGISTER , ATTR_PARA_NUMRULE , ATTR_PARA_SCRIPTSPACE , ATTR_PARA_HANGINGPUNCTUATION , ATTR_PARA_FORBIDDEN_RULES , ATTR_PARA_VERTALIGN , ATTR_PARA_SNAPTOGRID , ATTR_PARA_CONNECT_BORDER , ATTR_PARA_DUMMY5 , ATTR_PARA_DUMMY6 , ATTR_PARA_DUMMY7 , ATTR_PARA_DUMMY8 , ATTR_FRM_FILL_ORDER , ATTR_FRM_FRM_SIZE , ATTR_FRM_PAPER_BIN , ATTR_FRM_LR_SPACE , ATTR_FRM_UL_SPACE , ATTR_FRM_PAGEDESC , ATTR_FRM_BREAK , ATTR_FRM_CNTNT , ATTR_FRM_HEADER , ATTR_FRM_FOOTER , ATTR_FRM_PRINT , ATTR_FRM_OPAQUE , ATTR_FRM_PROTECT , ATTR_FRM_SURROUND , ATTR_FRM_VERT_ORIENT , ATTR_FRM_HORI_ORIENT , ATTR_FRM_ANCHOR , ATTR_FRM_BACKGROUND , ATTR_FRM_BOX , ATTR_FRM_SHADOW , ATTR_FRM_FRMMACRO , ATTR_FRM_COL , ATTR_FRM_KEEP , ATTR_FRM_URL , ATTR_FRM_EDIT_IN_READONLY , ATTR_FRM_LAYOUT_SPLIT , ATTR_FRM_CHAIN , ATTR_FRM_TEXTGRID , ATTR_FRM_LINENUMBER , ATTR_FRM_FTN_AT_TXTEND , ATTR_FRM_END_AT_TXTEND , ATTR_FRM_COLUMNBALANCE , ATTR_FRM_FRAMEDIR , ATTR_FRM_HEADER_FOOTER_EAT_SPACING , ATTR_FRM_FRMATTR_DUMMY9 , ATTR_GRF_MIRRORGRF , ATTR_GRF_CROPGRF , ATTR_GRF_ROTATION , ATTR_GRF_LUMINANCE , ATTR_GRF_CONTRAST , ATTR_GRF_CHANNELR , ATTR_GRF_CHANNELG , ATTR_GRF_CHANNELB , ATTR_GRF_GAMMA , ATTR_GRF_INVERT , ATTR_GRF_TRANSPARENCY , ATTR_GRF_DRAWMODE , ATTR_GRF_DUMMY1 , ATTR_GRF_DUMMY2 , ATTR_GRF_DUMMY3 , ATTR_GRF_DUMMY4 , ATTR_GRF_DUMMY5 , ATTR_BOX_FORMAT , ATTR_BOX_FORMULA , ATTR_BOX_VALUE , ATTR_SC_USERDEF , ATTR_SC_HYPHENATE , ATTR_SC_HORJUSTIFY , ATTR_SC_INDENT , ATTR_SC_VERJUSTIFY , ATTR_SC_ORIENTATION , ATTR_SC_ROTATE_VALUE , ATTR_SC_ROTATE_MODE , ATTR_SC_VERTICAL_ASIAN , ATTR_SC_WRITINGDIR , ATTR_SC_LINEBREAK , ATTR_SC_MARGIN , ATTR_SC_MERGE , ATTR_SC_MERGE_FLAG , ATTR_SC_VALUE_FORMAT , ATTR_SC_LANGUAGE_FORMAT , ATTR_SC_BACKGROUND , ATTR_SC_PROTECTION , ATTR_SC_BORDER , ATTR_SC_BORDER_INNER , ATTR_SC_SHADOW , ATTR_SC_VALIDDATA , ATTR_SC_CONDITIONAL , ATTR_SC_PATTERN , ATTR_SC_PAGE , ATTR_SC_PAGE_PAPERTRAY , ATTR_SC_PAGE_SIZE , ATTR_SC_PAGE_MAXSIZE , ATTR_SC_PAGE_HORCENTER , ATTR_SC_PAGE_VERCENTER , ATTR_SC_PAGE_ON , ATTR_SC_PAGE_DYNAMIC , ATTR_SC_PAGE_SHARED , ATTR_SC_PAGE_NOTES , ATTR_SC_PAGE_GRID , ATTR_SC_PAGE_HEADERS , ATTR_SC_PAGE_CHARTS , ATTR_SC_PAGE_OBJECTS , ATTR_SC_PAGE_DRAWINGS , ATTR_SC_PAGE_TOPDOWN , ATTR_SC_PAGE_SCALE , ATTR_SC_PAGE_SCALETOPAGES , ATTR_SC_PAGE_FIRSTPAGENO , ATTR_SC_PAGE_PRINTAREA , ATTR_SC_PAGE_REPEATROW , ATTR_SC_PAGE_REPEATCOL , ATTR_SC_PAGE_PRINTTABLES , ATTR_SC_PAGE_HEADERLEFT , ATTR_SC_PAGE_FOOTERLEFT , ATTR_SC_PAGE_HEADERRIGHT , ATTR_SC_PAGE_FOOTERRIGHT , ATTR_SC_PAGE_HEADERSET , ATTR_SC_PAGE_FOOTERSET , ATTR_SC_PAGE_FORMULAS , ATTR_SC_PAGE_NULLVALS , ATTR_EE_PARA_XMLATTRIBS , ATTR_EE_PARA_ASIANCJKSPACING , ATTR_EE_PARA_NUMBULLET , ATTR_EE_PARA_BULLETSTATE , ATTR_EE_PARA_OUTLLR_SPACE , ATTR_EE_PARA_OUTLLEVEL , ATTR_EE_PARA_BULLET , ATTR_EE_CHR_SCALEW , ATTR_EE_CHR_RUBI_DUMMY , ATTR_EE_CHR_XMLATTRIBS , ATTR_EE_FEATURE_TAB , ATTR_EE_FEATURE_LINEBR , ATTR_EE_FEATURE_FIELD , ATTR_SCH_DATADESCR_DESCR , ATTR_SCH_DATADESCR_SHOW_SYM , ATTR_SCH_LEGEND_POS , ATTR_SCH_TEXT_ORIENT , ATTR_SCH_TEXT_ORDER , ATTR_SCH_X_AXIS_AUTO_MIN , ATTR_SCH_X_AXIS_MIN , ATTR_SCH_X_AXIS_AUTO_MAX , ATTR_SCH_X_AXIS_MAX , ATTR_SCH_X_AXIS_AUTO_STEP_MAIN , ATTR_SCH_X_AXIS_STEP_MAIN , ATTR_SCH_X_AXIS_AUTO_STEP_HELP , ATTR_SCH_X_AXIS_STEP_HELP , ATTR_SCH_X_AXIS_LOGARITHM , ATTR_SCH_X_AXIS_AUTO_ORIGIN , ATTR_SCH_X_AXIS_ORIGIN , ATTR_SCH_Y_AXIS_AUTO_MIN , ATTR_SCH_Y_AXIS_MIN , ATTR_SCH_Y_AXIS_AUTO_MAX , ATTR_SCH_Y_AXIS_MAX , ATTR_SCH_Y_AXIS_AUTO_STEP_MAIN , ATTR_SCH_Y_AXIS_STEP_MAIN , ATTR_SCH_Y_AXIS_AUTO_STEP_HELP , ATTR_SCH_Y_AXIS_STEP_HELP , ATTR_SCH_Y_AXIS_LOGARITHM , ATTR_SCH_Y_AXIS_AUTO_ORIGIN , ATTR_SCH_Y_AXIS_ORIGIN , ATTR_SCH_Z_AXIS_AUTO_MIN , ATTR_SCH_Z_AXIS_MIN , ATTR_SCH_Z_AXIS_AUTO_MAX , ATTR_SCH_Z_AXIS_MAX , ATTR_SCH_Z_AXIS_AUTO_STEP_MAIN , ATTR_SCH_Z_AXIS_STEP_MAIN , ATTR_SCH_Z_AXIS_AUTO_STEP_HELP , ATTR_SCH_Z_AXIS_STEP_HELP , ATTR_SCH_Z_AXIS_LOGARITHM , ATTR_SCH_Z_AXIS_AUTO_ORIGIN , ATTR_SCH_Z_AXIS_ORIGIN , ATTR_SCH_AXISTYPE , ATTR_SCH_DUMMY0 , ATTR_SCH_DUMMY1 , ATTR_SCH_DUMMY2 , ATTR_SCH_DUMMY3 , ATTR_SCH_DUMMY_END , ATTR_SCH_STAT_AVERAGE , ATTR_SCH_STAT_KIND_ERROR , ATTR_SCH_STAT_PERCENT , ATTR_SCH_STAT_BIGERROR , ATTR_SCH_STAT_CONSTPLUS , ATTR_SCH_STAT_CONSTMINUS , ATTR_SCH_STAT_REGRESSTYPE , ATTR_SCH_STAT_INDICATE , ATTR_SCH_TEXT_DEGREES , ATTR_SCH_TEXT_OVERLAP , ATTR_SCH_TEXT_DUMMY0 , ATTR_SCH_TEXT_DUMMY1 , ATTR_SCH_TEXT_DUMMY2 , ATTR_SCH_TEXT_DUMMY3 , ATTR_SCH_STYLE_DEEP , ATTR_SCH_STYLE_3D , ATTR_SCH_STYLE_VERTICAL , ATTR_SCH_STYLE_BASETYPE , ATTR_SCH_STYLE_LINES , ATTR_SCH_STYLE_PERCENT , ATTR_SCH_STYLE_STACKED , ATTR_SCH_STYLE_SPLINES , ATTR_SCH_STYLE_SYMBOL , ATTR_SCH_STYLE_SHAPE , ATTR_SCH_AXIS , ATTR_SCH_AXIS_AUTO_MIN , ATTR_SCH_AXIS_MIN , ATTR_SCH_AXIS_AUTO_MAX , ATTR_SCH_AXIS_MAX , ATTR_SCH_AXIS_AUTO_STEP_MAIN , ATTR_SCH_AXIS_STEP_MAIN , ATTR_SCH_AXIS_AUTO_STEP_HELP , ATTR_SCH_AXIS_STEP_HELP , ATTR_SCH_AXIS_LOGARITHM , ATTR_SCH_AXIS_AUTO_ORIGIN , ATTR_SCH_AXIS_ORIGIN , ATTR_SCH_AXIS_TICKS , ATTR_SCH_AXIS_NUMFMT , ATTR_SCH_AXIS_NUMFMTPERCENT , ATTR_SCH_AXIS_SHOWAXIS , ATTR_SCH_AXIS_SHOWDESCR , ATTR_SCH_AXIS_SHOWMAINGRID , ATTR_SCH_AXIS_SHOWHELPGRID , ATTR_SCH_AXIS_TOPDOWN , ATTR_SCH_AXIS_HELPTICKS , ATTR_SCH_AXIS_DUMMY0 , ATTR_SCH_AXIS_DUMMY1 , ATTR_SCH_AXIS_DUMMY2 , ATTR_SCH_AXIS_DUMMY3 , ATTR_SCH_BAR_OVERLAP , ATTR_SCH_BAR_GAPWIDTH , ATTR_SCH_SYMBOL_BRUSH , ATTR_SCH_STOCK_VOLUME , ATTR_SCH_STOCK_UPDOWN , ATTR_SCH_SYMBOL_SIZE , ATTR_SCH_USER_DEFINED_ATTR , XATTR_LINESTYLE , XATTR_LINEDASH , XATTR_LINEWIDTH , XATTR_LINECOLOR , XATTR_LINESTART , XATTR_LINEEND , XATTR_LINESTARTWIDTH , XATTR_LINEENDWIDTH , XATTR_LINESTARTCENTER , XATTR_LINEENDCENTER , XATTR_LINETRANSPARENCE , XATTR_LINEJOINT , XATTR_LINERESERVED2 , XATTR_LINERESERVED3 , XATTR_LINERESERVED4 , XATTR_LINERESERVED5 , XATTR_LINERESERVED_LAST , XATTR_SET_LINE , XATTR_FILLSTYLE , XATTR_FILLCOLOR , XATTR_FILLGRADIENT , XATTR_FILLHATCH , XATTR_FILLBITMAP , XATTR_FILLTRANSPARENCE , XATTR_GRADIENTSTEPCOUNT , XATTR_FILLBMP_TILE , XATTR_FILLBMP_POS , XATTR_FILLBMP_SIZEX , XATTR_FILLBMP_SIZEY , XATTR_FILLFLOATTRANSPARENCE , XATTR_FILLBMP_SIZELOG , XATTR_FILLBMP_TILEOFFSETX , XATTR_FILLBMP_TILEOFFSETY , XATTR_FILLBMP_STRETCH , XATTR_FILLBMP_POSOFFSETX , XATTR_FILLBMP_POSOFFSETY , XATTR_FILLBACKGROUND , XATTR_FILLRESERVED2 , XATTR_FILLRESERVED3 , XATTR_FILLRESERVED4 , XATTR_FILLRESERVED5 , XATTR_FILLRESERVED6 , XATTR_FILLRESERVED7 , XATTR_FILLRESERVED8 , XATTR_FILLRESERVED10 , XATTR_FILLRESERVED11 , XATTR_FILLRESERVED_LAST , XATTR_SET_FILL , XATTR_FORMTXTSTYLE , XATTR_FORMTXTADJUST , XATTR_FORMTXTDISTANCE , XATTR_FORMTXTSTART , XATTR_FORMTXTMIRROR , XATTR_FORMTXTOUTLINE , XATTR_FORMTXTSHADOW , XATTR_FORMTXTSHDWCOLOR , XATTR_FORMTXTSHDWXVAL , XATTR_FORMTXTSHDWYVAL , XATTR_FORMTXTSTDFORM , XATTR_FORMTXTHIDEFORM , XATTR_FORMTXTSHDWTRANSP , XATTR_FTRESERVED2 , XATTR_FTRESERVED3 , XATTR_FTRESERVED4 , XATTR_FTRESERVED5 , XATTR_FTRESERVED_LAST , XATTR_SET_TEXT , SDRATTR_SHADOW , SDRATTR_SHADOWCOLOR , SDRATTR_SHADOWXDIST , SDRATTR_SHADOWYDIST , SDRATTR_SHADOWTRANSPARENCE , SDRATTR_SHADOW3D , SDRATTR_SHADOWPERSP , SDRATTR_SHADOWRESERVE1 , SDRATTR_SHADOWRESERVE2 , SDRATTR_SHADOWRESERVE3 , SDRATTR_SHADOWRESERVE4 , SDRATTR_SHADOWRESERVE5 , SDRATTR_SET_SHADOW , SDRATTR_CAPTIONTYPE , SDRATTR_CAPTIONFIXEDANGLE , SDRATTR_CAPTIONANGLE , SDRATTR_CAPTIONGAP , SDRATTR_CAPTIONESCDIR , SDRATTR_CAPTIONESCISREL , SDRATTR_CAPTIONESCREL , SDRATTR_CAPTIONESCABS , SDRATTR_CAPTIONLINELEN , SDRATTR_CAPTIONFITLINELEN , SDRATTR_CAPTIONRESERVE1 , SDRATTR_CAPTIONRESERVE2 , SDRATTR_CAPTIONRESERVE3 , SDRATTR_CAPTIONRESERVE4 , SDRATTR_CAPTIONRESERVE5 , SDRATTR_SET_CAPTION , SDRATTR_SET_OUTLINER , SDRATTR_ECKENRADIUS , SDRATTR_TEXT_MINFRAMEHEIGHT , SDRATTR_TEXT_AUTOGROWHEIGHT , SDRATTR_TEXT_FITTOSIZE , SDRATTR_TEXT_LEFTDIST , SDRATTR_TEXT_RIGHTDIST , SDRATTR_TEXT_UPPERDIST , SDRATTR_TEXT_LOWERDIST , SDRATTR_TEXT_VERTADJUST , SDRATTR_TEXT_MAXFRAMEHEIGHT , SDRATTR_TEXT_MINFRAMEWIDTH , SDRATTR_TEXT_MAXFRAMEWIDTH , SDRATTR_TEXT_AUTOGROWWIDTH , SDRATTR_TEXT_HORZADJUST , SDRATTR_TEXT_ANIKIND , SDRATTR_TEXT_ANIDIRECTION , SDRATTR_TEXT_ANISTARTINSIDE , SDRATTR_TEXT_ANISTOPINSIDE , SDRATTR_TEXT_ANICOUNT , SDRATTR_TEXT_ANIDELAY , SDRATTR_TEXT_ANIAMOUNT , SDRATTR_TEXT_CONTOURFRAME , SDRATTR_AUTOSHAPE_ADJUSTMENT , SDRATTR_XMLATTRIBUTES , SDRATTR_RESERVE15 , SDRATTR_RESERVE16 , SDRATTR_RESERVE17 , SDRATTR_RESERVE18 , SDRATTR_RESERVE19 , SDRATTR_SET_MISC , SDRATTR_EDGEKIND , SDRATTR_EDGENODE1HORZDIST , SDRATTR_EDGENODE1VERTDIST , SDRATTR_EDGENODE2HORZDIST , SDRATTR_EDGENODE2VERTDIST , SDRATTR_EDGENODE1GLUEDIST , SDRATTR_EDGENODE2GLUEDIST , SDRATTR_EDGELINEDELTAANZ , SDRATTR_EDGELINE1DELTA , SDRATTR_EDGELINE2DELTA , SDRATTR_EDGELINE3DELTA , SDRATTR_EDGERESERVE02 , SDRATTR_EDGERESERVE03 , SDRATTR_EDGERESERVE04 , SDRATTR_EDGERESERVE05 , SDRATTR_EDGERESERVE06 , SDRATTR_EDGERESERVE07 , SDRATTR_EDGERESERVE08 , SDRATTR_EDGERESERVE09 , SDRATTR_SET_EDGE , SDRATTR_MEASUREKIND , SDRATTR_MEASURETEXTHPOS , SDRATTR_MEASURETEXTVPOS , SDRATTR_MEASURELINEDIST , SDRATTR_MEASUREHELPLINEOVERHANG , SDRATTR_MEASUREHELPLINEDIST , SDRATTR_MEASUREHELPLINE1LEN , SDRATTR_MEASUREHELPLINE2LEN , SDRATTR_MEASUREBELOWREFEDGE , SDRATTR_MEASURETEXTROTA90 , SDRATTR_MEASURETEXTUPSIDEDOWN , SDRATTR_MEASUREOVERHANG , SDRATTR_MEASUREUNIT , SDRATTR_MEASURESCALE , SDRATTR_MEASURESHOWUNIT , SDRATTR_MEASUREFORMATSTRING , SDRATTR_MEASURETEXTAUTOANGLE , SDRATTR_MEASURETEXTAUTOANGLEVIEW , SDRATTR_MEASURETEXTISFIXEDANGLE , SDRATTR_MEASURETEXTFIXEDANGLE , SDRATTR_MEASUREDECIMALPLACES , SDRATTR_MEASURERESERVE05 , SDRATTR_MEASURERESERVE06 , SDRATTR_MEASURERESERVE07 , SDRATTR_SET_MEASURE , SDRATTR_CIRCKIND , SDRATTR_CIRCSTARTANGLE , SDRATTR_CIRCENDANGLE , SDRATTR_CIRCRESERVE0 , SDRATTR_CIRCRESERVE1 , SDRATTR_CIRCRESERVE2 , SDRATTR_CIRCRESERVE3 , SDRATTR_SET_CIRC , SDRATTR_OBJMOVEPROTECT , SDRATTR_OBJSIZEPROTECT , SDRATTR_OBJPRINTABLE , SDRATTR_LAYERID , SDRATTR_LAYERNAME , SDRATTR_OBJECTNAME , SDRATTR_ALLPOSITIONX , SDRATTR_ALLPOSITIONY , SDRATTR_ALLSIZEWIDTH , SDRATTR_ALLSIZEHEIGHT , SDRATTR_ONEPOSITIONX , SDRATTR_ONEPOSITIONY , SDRATTR_ONESIZEWIDTH , SDRATTR_ONESIZEHEIGHT , SDRATTR_LOGICSIZEWIDTH , SDRATTR_LOGICSIZEHEIGHT , SDRATTR_ROTATEANGLE , SDRATTR_SHEARANGLE , SDRATTR_MOVEX , SDRATTR_MOVEY , SDRATTR_RESIZEXONE , SDRATTR_RESIZEYONE , SDRATTR_ROTATEONE , SDRATTR_HORZSHEARONE , SDRATTR_VERTSHEARONE , SDRATTR_RESIZEXALL , SDRATTR_RESIZEYALL , SDRATTR_ROTATEALL , SDRATTR_HORZSHEARALL , SDRATTR_VERTSHEARALL , SDRATTR_TRANSFORMREF1X , SDRATTR_TRANSFORMREF1Y , SDRATTR_TRANSFORMREF2X , SDRATTR_TRANSFORMREF2Y , SDRATTR_TEXTDIRECTION , SDRATTR_NOTPERSISTRESERVE2 , SDRATTR_NOTPERSISTRESERVE3 , SDRATTR_NOTPERSISTRESERVE4 , SDRATTR_NOTPERSISTRESERVE5 , SDRATTR_NOTPERSISTRESERVE6 , SDRATTR_NOTPERSISTRESERVE7 , SDRATTR_NOTPERSISTRESERVE8 , SDRATTR_NOTPERSISTRESERVE9 , SDRATTR_NOTPERSISTRESERVE10 , SDRATTR_NOTPERSISTRESERVE11 , SDRATTR_NOTPERSISTRESERVE12 , SDRATTR_NOTPERSISTRESERVE13 , SDRATTR_NOTPERSISTRESERVE14 , SDRATTR_NOTPERSISTRESERVE15 , SDRATTR_GRAFRED , SDRATTR_GRAFGREEN , SDRATTR_GRAFBLUE , SDRATTR_GRAFLUMINANCE , SDRATTR_GRAFCONTRAST , SDRATTR_GRAFGAMMA , SDRATTR_GRAFTRANSPARENCE , SDRATTR_GRAFINVERT , SDRATTR_GRAFMODE , SDRATTR_GRAFCROP , SDRATTR_GRAFRESERVE3 , SDRATTR_GRAFRESERVE4 , SDRATTR_GRAFRESERVE5 , SDRATTR_GRAFRESERVE6 , SDRATTR_SET_GRAF , SDRATTR_3DOBJ_PERCENT_DIAGONAL , SDRATTR_3DOBJ_BACKSCALE , SDRATTR_3DOBJ_DEPTH , SDRATTR_3DOBJ_HORZ_SEGS , SDRATTR_3DOBJ_VERT_SEGS , SDRATTR_3DOBJ_END_ANGLE , SDRATTR_3DOBJ_DOUBLE_SIDED , SDRATTR_3DOBJ_NORMALS_KIND , SDRATTR_3DOBJ_NORMALS_INVERT , SDRATTR_3DOBJ_TEXTURE_PROJ_X , SDRATTR_3DOBJ_TEXTURE_PROJ_Y , SDRATTR_3DOBJ_SHADOW_3D , SDRATTR_3DOBJ_MAT_COLOR , SDRATTR_3DOBJ_MAT_EMISSION , SDRATTR_3DOBJ_MAT_SPECULAR , SDRATTR_3DOBJ_MAT_SPECULAR_INTENSITY , SDRATTR_3DOBJ_TEXTURE_KIND , SDRATTR_3DOBJ_TEXTURE_MODE , SDRATTR_3DOBJ_TEXTURE_FILTER , SDRATTR_3DOBJ_SMOOTH_NORMALS , SDRATTR_3DOBJ_SMOOTH_LIDS , SDRATTR_3DOBJ_CHARACTER_MODE , SDRATTR_3DOBJ_CLOSE_FRONT , SDRATTR_3DOBJ_CLOSE_BACK , SDRATTR_3DOBJ_RESERVED_06 , SDRATTR_3DOBJ_RESERVED_07 , SDRATTR_3DOBJ_RESERVED_08 , SDRATTR_3DOBJ_RESERVED_09 , SDRATTR_3DOBJ_RESERVED_10 , SDRATTR_3DOBJ_RESERVED_11 , SDRATTR_3DOBJ_RESERVED_12 , SDRATTR_3DOBJ_RESERVED_13 , SDRATTR_3DOBJ_RESERVED_14 , SDRATTR_3DOBJ_RESERVED_15 , SDRATTR_3DOBJ_RESERVED_16 , SDRATTR_3DOBJ_RESERVED_17 , SDRATTR_3DOBJ_RESERVED_18 , SDRATTR_3DOBJ_RESERVED_19 , SDRATTR_3DOBJ_RESERVED_20 , SDRATTR_3DSCENE_PERSPECTIVE , SDRATTR_3DSCENE_DISTANCE , SDRATTR_3DSCENE_FOCAL_LENGTH , SDRATTR_3DSCENE_TWO_SIDED_LIGHTING , SDRATTR_3DSCENE_LIGHTCOLOR_1 , SDRATTR_3DSCENE_LIGHTCOLOR_2 , SDRATTR_3DSCENE_LIGHTCOLOR_3 , SDRATTR_3DSCENE_LIGHTCOLOR_4 , SDRATTR_3DSCENE_LIGHTCOLOR_5 , SDRATTR_3DSCENE_LIGHTCOLOR_6 , SDRATTR_3DSCENE_LIGHTCOLOR_7 , SDRATTR_3DSCENE_LIGHTCOLOR_8 , SDRATTR_3DSCENE_AMBIENTCOLOR , SDRATTR_3DSCENE_LIGHTON_1 , SDRATTR_3DSCENE_LIGHTON_2 , SDRATTR_3DSCENE_LIGHTON_3 , SDRATTR_3DSCENE_LIGHTON_4 , SDRATTR_3DSCENE_LIGHTON_5 , SDRATTR_3DSCENE_LIGHTON_6 , SDRATTR_3DSCENE_LIGHTON_7 , SDRATTR_3DSCENE_LIGHTON_8 , SDRATTR_3DSCENE_LIGHTDIRECTION_1 , SDRATTR_3DSCENE_LIGHTDIRECTION_2 , SDRATTR_3DSCENE_LIGHTDIRECTION_3 , SDRATTR_3DSCENE_LIGHTDIRECTION_4 , SDRATTR_3DSCENE_LIGHTDIRECTION_5 , SDRATTR_3DSCENE_LIGHTDIRECTION_6 , SDRATTR_3DSCENE_LIGHTDIRECTION_7 , SDRATTR_3DSCENE_LIGHTDIRECTION_8 , SDRATTR_3DSCENE_SHADOW_SLANT , SDRATTR_3DSCENE_SHADE_MODE , SDRATTR_3DSCENE_RESERVED_01 , SDRATTR_3DSCENE_RESERVED_02 , SDRATTR_3DSCENE_RESERVED_03 , SDRATTR_3DSCENE_RESERVED_04 , SDRATTR_3DSCENE_RESERVED_05 , SDRATTR_3DSCENE_RESERVED_06 , SDRATTR_3DSCENE_RESERVED_07 , SDRATTR_3DSCENE_RESERVED_08 , SDRATTR_3DSCENE_RESERVED_09 , SDRATTR_3DSCENE_RESERVED_10 , SDRATTR_3DSCENE_RESERVED_11 , SDRATTR_3DSCENE_RESERVED_12 , SDRATTR_3DSCENE_RESERVED_13 , SDRATTR_3DSCENE_RESERVED_14 , SDRATTR_3DSCENE_RESERVED_15 , SDRATTR_3DSCENE_RESERVED_16 , SDRATTR_3DSCENE_RESERVED_17 , SDRATTR_3DSCENE_RESERVED_18 , SDRATTR_3DSCENE_RESERVED_19 , SDRATTR_3DSCENE_RESERVED_20 }
| the attribute list More...

## Detailed Description

a hatch's named attribute

## Constructor & Destructor Documentation

## ◆ StarGAttributeNamedHatch() [1/2]

StarGraphicAttribute::StarGAttributeNamedHatch::StarGAttributeNamedHatch | ( | Type | type,
|  | std::string const & | debugName )
| inline

constructor

Referenced by create(), and StarGAttributeNamedHatch().

## ◆ StarGAttributeNamedHatch() [2/2]

StarGraphicAttribute::StarGAttributeNamedHatch::StarGAttributeNamedHatch | ( | StarGAttributeNamedHatch const & |  | ) |
| protecteddefault

copy constructor

## Member Function Documentation

## ◆ addTo()

void StarGraphicAttribute::StarGAttributeNamedHatch::addTo | ( | StarState & | state,
|  | std::set< StarAttribute const * > & | ) const
| finalvirtual

add to a graphic style

Reimplemented from StarAttribute.

## ◆ create()

std::shared_ptr< StarAttribute > StarGraphicAttribute::StarGAttributeNamedHatch::create | ( |  | ) | const
| inlinefinalvirtual

create a new attribute

Implements StarAttribute.

## ◆ printData()

void StarGraphicAttribute::StarGAttributeNamedHatch::printData | ( | libstoff::DebugStream & | o | ) | const
| inlinefinalvirtual

debug function to print the data

Reimplemented from StarGraphicAttribute::StarGAttributeNamed.

Referenced by read().

## ◆ read()

bool StarGraphicAttribute::StarGAttributeNamedHatch::read | ( | StarZone & | zone,
|  | int | vers,
|  | long | endPos,
|  | StarObject & | object )
| finalvirtual

read a zone

Reimplemented from StarGraphicAttribute::StarGAttributeNamed.

## Member Data Documentation

## ◆ m_angle

int StarGraphicAttribute::StarGAttributeNamedHatch::m_angle
| protected

the angle

Referenced by addTo(), printData(), read(), and StarGAttributeNamedHatch().

## ◆ m_color

STOFFColor StarGraphicAttribute::StarGAttributeNamedHatch::m_color
| protected

the color

Referenced by addTo(), printData(), read(), and StarGAttributeNamedHatch().

## ◆ m_distance

int StarGraphicAttribute::StarGAttributeNamedHatch::m_distance
| protected

the distance

Referenced by addTo(), printData(), read(), and StarGAttributeNamedHatch().

## ◆ m_hatchType

int StarGraphicAttribute::StarGAttributeNamedHatch::m_hatchType
| protected

the type

Referenced by addTo(), printData(), read(), and StarGAttributeNamedHatch().

The documentation for this class was generated from the following file:

- StarGraphicAttribute.cxx